is_graph_empty {DiagrammeR} | R Documentation

## Is the graph empty?

### Description

Provides a logical value on whether the graph is empty (i.e., contains no nodes).

### Usage

    is_graph_empty(graph)

### Arguments

`graph` | a graph object of class `dgr_graph`.

### Value

a logical value.

### Examples

    # Create an empty graph
    graph <- create_graph()

    # Determine whether the graph is empty
    graph %>%
      is_graph_empty()

    # Create a non-empty graph
    graph <-
      create_graph() %>%
      add_n_nodes(n = 3)

    # Determine whether this graph is empty
    graph %>%
      is_graph_empty()

[Package DiagrammeR version 1.0.1 Index]